@@ 0,0 1,21 @@
+#!/bin/sh
+
+# Copyright (c) 2023 Felix Freeman <libsys@hacktivista.org>
+#
+# This software is licensed under the 'MIT No Attribution' license terms. I
+# don't want attribution nor exclusive rights over it, but I'd love that you
+# free your software too.
+
+if [ "$1" = '-h' ]; then
+ echo 'Test download times for a list of URLs'
+ echo "Usage: cat <urls-file> | $(basename $0) [timeout=2]"
+ exit 1
+fi
+
+timeout=${1:-2}
+urls=$(cat)
+
+for url in $urls; do
+ time="$(curl -m $timeout -sf -w %{time_total} -o /dev/null $url)"
+ printf "%s %s\n" $time $url
+done